﻿@model OperationalRiskException.Core.ViewModels.QuestionVM
@{
     Layout = null;
   // ViewBag.Title = "Question";
}


 <div class="modal-header">
    <h4 class="modal-title">Update Question Category</h4>
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
</div>
<div class="modal-body">
    <form name="updateCategoryForm">
       @if (Model != null && Model.QuestionId > 0)
        {
            @Html.HiddenFor(a => a.QuestionId)
        }

        <div class="form-group col-md-12">
            <label for="exampleInputUsername1">Question  Text</label>
            <div class="row">
                @Html.TextAreaFor(m => m.AttachmentName, new { @class = "form-control", @placeholder = "Add Attachment Name 2" })
                @Html.ValidationMessageFor(model => model.AttachmentName, null, new { @class = "text text-danger" })
            </div>
        </div>
        <div class="form-group col-md-12">
            <label for="exampleInputUsername1"> Select Category</label>
            <div class="row ">
                @Html.DropDownListFor(m => m.CategoryId, new SelectList(ViewBag.Categories, "CategoryId", "CategoriesName"), new { @class = "form-control", @placeholder = "Add Question" })
                @Html.ValidationMessageFor(model => model.CategoryId, null, new { @class = "text text-danger" })
            </div>
        </div>


    </form>
</div>
<div class="modal-footer">
    <input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel">
    <button class="btn btn-danger" onclick="updateRecord()">Update2</button>
</div> 
  


      <!-- THIS IS JUST FOR UPLOAD QUESTION PAGE AND NOT MODAL-->


@*<div class="row">
    <div class="col-md-12 grid-margin">
        <a class="btn btn-danger pt-1 pb-1 mb-4" href="@Url.Action("QuestionPage", "Question")">Back</a>
        <div class="d-flex justify-content-between flex-wrap">
            <div class="d-flex align-items-end flex-wrap">
                <div class="d-flex">
                    <i class="mdi mdi-home text-muted hover-cursor"></i>
                    <p class="text-muted mb-0 hover-cursor">&nbsp;/&nbsp; Upload Management &nbsp;/&nbsp;</p>
                    <p class="text-primary mb-0 hover-cursor">Add/View Upload</p>
                </div>
            </div>

        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title"> Add Upload </h4>
                <p class="card-description">

                </p>*@
                  <!--THIS SECTION SHOULD BE COMMENTED-->
           @*   @using (Html.BeginForm("QuestionPage", "Question", FormMethod.Post, new { @class = "forms-sample", role = "form" })) *@
                        {
                            @*@Html.AntiForgeryToken()*@

                    @*<div class="row">
                        <div class="form-group col-md-12">
                            <label for="exampleInputUsername1">Question  Text</label>
                            <div class="row col-md-6">
                                @Html.TextAreaFor(m => m.QuestionText, new { @class = "form-control", @placeholder = "Add Question" })
                                @Html.ValidationMessageFor(model => model.QuestionText, null, new { @class = "text text-danger" })
                            </div>
                        </div>
                        <div class="form-group col-md-12">
                            <label for="exampleInputUsername1"> Select Category</label>
                            <div class="row col-md-6">
                                    @Html.DropDownListFor(m => m.CategoryId, new SelectList(ViewBag.Categories,"CategoryId", "CategoriesName"), new { @class = "form-control", @placeholder = "Add Question" })
                                    </div>
                        </div>

                    </div>



                            @*<button type="submit" class="btn btn-primary mr-2">Add Question</button>*@
                       <!-- } -->

                @*@using (Html.BeginForm("UpdateQuestion", "Question", FormMethod.Post, new { enctype = "multipart/form-data", onsubmit = "return myFunction()" }))
                {
                    @Html.AntiForgeryToken()*@

                    @*<div class="row">
                        <div class="form-group col-md-12">*@
                            @*<label for="exampleInputUsername1">Select Excel file</label>*@
                            @*<div class="row col-md-6">
                                @Html.TextAreaFor(m => m.AttachmentName, new { @class = "form-control", @placeholder = "Add Attachment Name" })
                                @Html.ValidationMessageFor(model => model.AttachmentName, null, new { @class = "text text-danger" })
                            </div> <br />

                            <div class="row col-md-6">

                                <input type="file" name="FileUpload" class="file-upload-default">
                                <div class="input-group col-xs-12">
                                    <input type="text" class="form-control file-upload-info" disabled="" placeholder="Upload Document">
                                    <span class="input-group-append">
                                        <button class="file-upload-browse btn btn-primary" type="button">Upload</button>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-12">
                            <label for="exampleInputUsername1"> Select Category</label>
                            <div class="row col-md-6">
                                @Html.DropDownListFor(m => m.CategoryId, new SelectList(ViewBag.Categories, "CategoryId", "CategoriesName"), new { @class = "form-control", @placeholder = "Add Upload" })
                                @Html.ValidationMessageFor(model => model.CategoryId, null, new { @class = "text text-danger" })
                            </div>
                        </div>

                    </div>



                    <button type="submit" class="btn btn-primary mr-2">Update</button>
                }

            </div>
        </div>
    </div>
</div>*@ 